Mise à jour du plugin Composer drupal-l10n

Dans un article précédent Télécharger des traductions Drupal avec Composer, j'avais présenté une extension Composer pour télécharger des traductions Drupal.

Désormais cette extension est dans le groupe Github drupal-composer https://github.com/drupal-composer/drupal-l10n.

Pour la télécharger, il n'est désormais plus la peine d'ajouter un repository dans le composer.json et d'ajouter un script dans la partie "scripts" pour l'utiliser. La commande suivante suffit :

composer require drupal-composer/drupal-l10n

Voir par exemple le commit : https://github.com/FlorentTorregrosa/docker-drupal-project/commit/4921fa...

La commande a changé pour suivre le standard du plugin drupal-scaffold. Il s'agit désormais de :

composer drupal:l10n

Note : lors du passage de l'ancien dépôt au nouveau dépôt, vous pourrez avoir une erreur car en interne une classe prend un argument en plus dans le constructeur. L'erreur ne se reproduira plus après la mise à jour.

Liens :

Ajouter un commentaire